import { createContext, useContext, useState } from "react";

const preview = {
  paymentPlan: "",
  setPaymentPlan: () => {},
  paymentPlanSettings: {
    name: "",
    maxEmployees: 0,
    calendarMaxFutureBookingDays: 0,
  },
  setPaymentPlanSettings: () => {},
};

const AppContext = createContext(preview);

export const useAppContext = () => useContext(AppContext);

export function AppProvider({ children, options }) {
  const [paymentPlan, setPaymentPlan] = useState(options.paymentPlan);
  const [paymentPlanSettings, setPaymentPlanSettings] = useState(
    options.paymentPlanSettings
  );

  return (
    <AppContext.Provider
      value={{
        paymentPlan,
        setPaymentPlan,
        paymentPlanSettings,
        setPaymentPlanSettings,
      }}
    >
      {children}
    </AppContext.Provider>
  );
}
