import { Suspense } from "react";
import ReactDOM from "react-dom/client";
import "./index.css";
import App, { Loading } from "./App";
import { BrowserRouter } from "react-router-dom";
import "./i18n";
import { ConfigProvider } from "antd";
//import reportWebVitals from './reportWebVitals';

const root = ReactDOM.createRoot(document.getElementById("root"));
root.render(
  <Suspense fallback={<Loading />}>
    <BrowserRouter>
      <ConfigProvider
        theme={{
          token: {
            fontFamily: "Roboto, sans-serif",
            colorPrimary: "#6878d6",
            colorInfo: "#6878d6",
          },
          components: {
            Segmented: {
              // used in sign up
              itemSelectedBg: "#6878d6",
              itemSelectedColor: "#fff",
            },
          },
        }}
      >
        <App />
      </ConfigProvider>
    </BrowserRouter>
  </Suspense>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
//reportWebVitals();
